## sgml-base 1.14

=== Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for sgml-base
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## Package file definitions
TEMPLATES	:= catalog.super catalog.centralized transitional.cat
SBINS		:= update-catalog install-sgmlcatalog
MAN8S		:= update-catalog install-sgmlcatalog

## ----------------------------------------------------------------------
## General directory definitions
prefix		:= /usr/local
sbin_dir	:= $(prefix)/sbin
share_dir	:= $(prefix)/share

## ----------------------------------------------------------------------
## Manual pages directory definitions
man_dir		:= $(share_dir)/man
man8		:= 8
man8_dir	:= $(man_dir)/man$(man8)

## ----------------------------------------------------------------------
## PackageL directory definitions
pkg_name	:= sgml-base
pkg_share_dir	:= $(share_dir)/$(pkg_name)

## ----------------------------------------------------------------------
## General definitions
INSTALL		:= /usr/bin/install
INSTALL_DIR	:= $(INSTALL) -d -m 755
INSTALL_BIN	:= $(INSTALL) -m 755
INSTALL_FILE	:= $(INSTALL) -m 644

## ----------------------------------------------------------------------
## Targets
all:

install:

		set -e; \
		$(INSTALL_DIR) $(pkg_share_dir); \
		for f in $(TEMPLATES); \
		do \
			$(INSTALL_FILE) $$f $(pkg_share_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(sbin_dir); \
		for f in $(SBINS); \
		do \
			$(INSTALL_BIN) $$f $(sbin_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(man8_dir); \
		for f in $(MAN8S); \
		do \
			$(INSTALL_FILE) $$f.$(man8) $(man8_dir)/$$f.$(man8); \
		done

## ----------------------------------------------------------------------

## sgml-base 1.01

=== debian/changelog ===
sgml-base (1.01) unstable; urgency=high

  * Arrgh. It was creating the link in /usr/lib/sgml-base/catalog! My
    bad. closes: Bug#19873

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Mar 1998 00:16:08 -0600

sgml-base (1.00) unstable; urgency=low

  * New maintainer.
  * Added the SGML entity management document (thanks to aph@debian.org),
    and normalized the sgml (I like normalized sgml), and modified and
    expanded the document. Since an agreement has been reached about the
    location of declaration files (and, by extention, notations), I
    incorporatred them as such in the document)
  * Changed the rules file to conform to my standard rule file
  * Imported to CVS using cvs-inject
  * Use cvs-buildpackage to update
  * Put the text and HTML vversions of the Entity Management docs in
    /usr/doc. 

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 15 Mar 1998 16:33:58 -0600

sgml-base (0.4.2) unstable; urgency=low

  * changed usr/lib/sgml/catalog into an absolute link
    (reported by Lintian)
  * debian/control: Upgraded to Standards Version 2.4.0.0 (no changes)

 -- Christian Schwarz <schwarz@debian.org>  Sat, 14 Feb 1998 01:05:39 +0100

sgml-base (0.4.1) unstable; urgency=low

  * debian/rules: Don't use debstd anymore
  * debian/rules: Compress changelog file (fixes:#15403)
  * debian/control: Upgraded to Standards Version 2.3.0.1
  * debian/control: Removed perl dependency (perl-base is tagged
    `Essential')

 -- Christian Schwarz <schwarz@debian.org>  Wed, 24 Dec 1997 12:19:22 +0100

sgml-base (0.4) unstable; urgency=low

  * Don't fail if /etc/sgml.catalog does not exist when removing an entry
    (fixes #13937)
  * Upgraded to Standards Version 2.3.0.0

 -- Christian Schwarz <schwarz@debian.org>  Fri, 17 Oct 1997 16:00:44 +0200

sgml-base (0.3) unstable; urgency=low

  * Use absolute path spec for conffile "/etc/sgml.catalog" (fixes #9755)
  * Conflict with sgml-data <= 0.02 (fixes #9941)

 -- Christian Schwarz <schwarz@debian.org>  Sun, 25 May 1997 14:24:36 +0200

sgml-base (0.2) unstable; urgency=low

  * Removed symlink /usr/lib/sgml/sgml.catalog .
  * Wrote README.debian (Guidelines for SGML packages). 

 -- Christian Schwarz <schwarz@debian.org>  Thu, 8 May 1997 11:06:35 +0200

sgml-base (0.1) unstable; urgency=low

  * Initial release.

 -- Christian Schwarz <schwarz@debian.org>  Tue, 6 May 1997 16:51:44 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: sgml-base
Section: text
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 2.4.0.0

Package: sgml-base
Architecture: all
Conflicts: sgml-data (<= 0.02)
Description: utilities to maintain the SGML catalog file
 This package includes that install-sgmlcatalog utility, that is used
 by all other SGML packages to install, update, and remove entries
 from the SGML catalog.

=== debian/rules ===
#!/usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On	    : Sun Mar 15 15:00:40 1998
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Wed Mar 18 00:30:19 1998
## Last Machine Used: tiamat.datasync.com
## Update Count	    : 24
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
## $Id$
###############################################################################
FILES_TO_CLEAN	= debian/files debian/buildinfo debian/substvars \
		  sgml_layout.text
STAMPS_TO_CLEAN = stamp-configure stamp-build stamp-binary
DIRS_TO_CLEAN	= debian/tmp sgml_layout.html
thisdir		= $(shell pwd)

install_file	= install -p	-o root -g root -m 644
install_program = install -p	-o root -g root -m 755
make_directory	= install -p -d -o root -g root -m 755
deb_rule	= $(MAKE) -f $(thisdir)/debian/rules

package := $(shell grep Source debian/control | sed 's/^Source: //')
version := $(shell perl -n0777e 'if ($$. == 1 && m/\(([\S]+)\)/o){print "$$1\n";}' debian/changelog)

DOCDIR	:= debian/tmp/usr/doc/$(package)
LIBDIR	:= debian/tmp/usr/lib/sgml
BINDIR	:= debian/tmp/usr/sbin
MANDIR	:= debian/tmp/usr/man/man8
ETCDIR	:= debian/tmp/etc


all build: configure stamp-build
stamp-build:
# Builds the binary package.
	$(checkdir)
	-(if [ -x	    /usr/bin/debiandoc2html ] ; then   \
	    debiandoc2text  sgml_layout.sgml ;		       \
	  fi)
	-(if [ -x	    /usr/bin/debiandoc2html ] ; then   \
	    debiandoc2html  sgml_layout.sgml ;		       \
	  fi)
	dpkg -l perl sp jade sgml-data make dpkg-dev | \
	  awk '$$1 == "ii" { printf("%s-%s\n", $$2, $$3) }' > \
	   debian/buildinfo
	touch stamp-build

configure: stamp-configure  Makefile
Makefile stamp-configure:
	$(checkdir)
	touch stamp-configure

clean:
# Undoes the effect of `make -f debian/rules build'.
	$(checkdir)
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	-test -f Makefile && $(MAKE) realclean
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS

binary: binary-arch binary-indep
binary-arch: build

binary-indep: build stamp-binary
stamp-binary:
# Makes a binary package.
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-build || $(deb_rule) build
	-rm -rf debian/tmp
	$(make_directory)   debian/tmp
	chmod g-s	    debian/tmp
	$(make_directory)   debian/tmp/DEBIAN
	$(make_directory)   $(MANDIR)
	$(make_directory)   $(BINDIR)
	$(make_directory)   $(DOCDIR)
	$(make_directory)   $(LIBDIR)
	$(make_directory)   $(ETCDIR)
	$(install_file)	    README		    $(DOCDIR)
	$(install_file)	    sgml_layout.sgml	    $(DOCDIR)
	$(install_file)	    debian/changelog	    $(DOCDIR)
	$(install_file)	    debian/buildinfo	    $(DOCDIR)/buildinfo.Debian
	$(install_program)  install-sgmlcatalog	    $(BINDIR)
	$(install_file)	    install-sgmlcatalog.8   $(MANDIR)
	$(install_file)	    sgml.catalog	    $(ETCDIR)
	-(if [ -f	    sgml_layout.text ] ; then	       \
	    $(install_file) sgml_layout.text	    $(DOCDIR); \
	  fi)
	-gzip -9qfr	    $(DOCDIR)
	-(if [ -d	    sgml_layout.html ] ; then	       \
	    (cd		    sgml_layout.html; tar cf - . |     \
			      (cd ../$(DOCDIR); tar xvpf -));  \
	  fi)
	$(install_file)	    debian/copyright	    $(DOCDIR)
	$(install_file)	    debian/conffiles	    debian/tmp/DEBIAN/
	-gzip -9qfr	    debian/tmp/usr/man/
	(cd $(LIBDIR);	    ln -s /etc/sgml.catalog catalog)
	dpkg-gencontrol
	chown		    -R root.root debian/tmp
	chmod		    -R go=rX	 debian/tmp
	dpkg-deb	    --build	 debian/tmp ..

define checkdir
	test -f sgml.catalog -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## sgml-base 1.14

=== debian/changelog ===
sgml-base (1.14) unstable; urgency=low

  * /usr/share/sgml-base/catalog -> /usr/share/sgml-base/catalog.super
    (closes: Bug#135279)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 22 Feb 2002 21:01:54 -0600

sgml-base (1.13) unstable; urgency=low

  * Moved documentation into a separate package (closes: Bug#130208)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 17 Feb 2002 14:17:29 -0600

sgml-base (1.12) unstable; urgency=low

  * debian/sgml-base.prerm: split into prerm and postrm to remove catalog
    files properly upon purge

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 15 Dec 2001 09:55:45 -0600

sgml-base (1.11) unstable; urgency=low

  * Removed explicit dhelp support since doc-base now takes care of this
  * debian/control: added build dependency on sp
  * Added documentation in PDF format
  * debian/control: added build dependency on libpaperg, tetex-bin, tetex-extra
  * debian/control: removed obsolete build dependency on perl
  * debian/control: upgraded to Debian Policy 3.5.6

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  4 Nov 2001 13:29:14 -0600

sgml-base (1.10) unstable; urgency=low

  * debian/postinst: corrected install of transitional.cat (closes: Bug#96163)
  * debian/prerm: added purge handling (closes: Bug#93036)

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu,  3 May 2001 12:05:03 -0500

sgml-base (1.09) unstable; urgency=low

  * Moved the transitional catalog from /etc/sgml to /usr/lib/sgml
    (closes: Bug#87943, Bug#90164)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 10 Apr 2001 20:35:14 -0500

sgml-base (1.08) unstable; urgency=low

  * debian/control: added Conflicts with sgmltools-2 (< 2.0.2-5)
    (closes: Bug#88078) 
  * debian/postinst: remove circular catalog (closes: Bug#86603,
    Bug#88009, Bug#88339, Bug#89538, Bug#90766)
  * debian/postinst: no conffiles anymore (closes: Bug#88003)
  * debian/control: updated dependencies
  * debian/control: upgraded to Debian Policy 3.5.2
  * debian/control: upgraded to Debian Perl Policy 1.17

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  9 Apr 2001 20:44:57 -0500

sgml-base (1.07) unstable; urgency=low

  * debian/postinst: forgot to `mkdir -p /usr/lib/sgml`
  * debian/postinst: put various steps in correct order (closes: Bug#87704)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 26 Feb 2001 09:47:45 -0600

sgml-base (1.06) unstable; urgency=low

  * debian/postinst: forgot to `mkdir -p /etc/sgml`

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 25 Feb 2001 13:10:52 -0600

sgml-base (1.05) unstable; urgency=low

  * Install /etc/sgml/catalog and /etc/sgml/transitional.cat as templates
    from /usr/share/sgml-base (closes: Bug#86600)
  * debian/rules: updated to install to debian/tmp and use dh_movefiles

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 25 Feb 2001 12:37:03 -0600

sgml-base (1.04) unstable; urgency=low

  * First steps in migrating /usr/lib/sgml to /usr/share/sgml
  * Moved /etc/sgml.catalog to /etc/sgml/transitional.cat
  * install-sgmlcatalog: updated to reflect catalog change
  * install-sgmlcatalog.8: updated to reflect catalog change
  * Added empty super catalog /etc/sgml/catalog
  * /usr/lib/sgml/catalog: updated to point to the super catalog
  * Added template for centralized catalogs
  * Added `update-catalog` for maintaining the super catalog and
    centralized catalogs
  * Added various policy documents
  * README: updated
  * Added TODO

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 18 Feb 2001 11:28:05 -0600

sgml-base (1.03) unstable; urgency=low

  * debian/rules: split functionality between Makefile and debian/rules
  * Makefile: cleaned-up
  * debian/rules: cleaned-up and migrated to debhelper
  * debian/control: upgraded to Debian Policy 3.2.1
  * Added doc-base support (closes: Bug#31188)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue,  9 Jan 2001 21:22:46 -0600

sgml-base (1.02) unstable; urgency=low

  * New maintainer.
  * debian/rules: moved manpage to /usr/share/man (closes: Bug#80768)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  8 Jan 2001 09:17:42 -0600

=== debian/control ===
Source: sgml-base
Section: text
Priority: optional
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper (>= 3.0.5)

Package: sgml-base
Section: text
Priority: optional
Architecture: all
Conflicts: sgml-data (<= 0.02), sgmltools-2 (<= 2.0.2-4)
Depends: ${perl:Depends}, sed (>= 3.02-6)
Suggests: sgml-base-doc
Description: utilities to maintain the SGML catalog file
 This package includes that install-sgmlcatalog utility, that is used
 by all other SGML packages to install, update, and remove entries
 from the SGML catalog.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for sgml-base
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
## use version 3
export DH_COMPAT=3

## ----------------------------------------------------------------------
## targets

build:		build-stamp
build-stamp:
		dh_testdir
		touch build-stamp

clean:
		dh_testdir
		dh_testroot
		dh_clean
		rm -f build-stamp

binary-indep:	build
		dh_testdir
		dh_testroot
		dh_clean
		dh_installdirs
		$(MAKE) prefix=`pwd`/debian/tmp/usr install
		dh_movefiles
		dh_installdocs
		dh_installchangelogs
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_perl
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary-arch:

binary:		binary-indep binary-arch

.PHONY:		build clean binary-indep binary-arch binary

## ----------------------------------------------------------------------

## sgml-base 1.22

=== debian/changelog ===
sgml-base (1.22) unstable; urgency=low

  * Added SGML infrastructure directories
    - Makefile: created the SGML infrastructure directories under
      /usr/share/sgml and under /usr/share/local/sgml
    - debian/rules: updated to use 'dh_usrlocal'
  * Moved 'update-catalog*', 'install-sgmlcatalog*' and SGML catalog
    templates to 'tools' directory
  * Added Makefiles to 'tools' subdirectory and put all the common parts
    in 'MAKE/include'
  * tools/update-catalog: absorbed manual page in POD format
  * tools/install-sgmlcatalog: absorbed manual page in POD format
  * debian/control: changed 'Maintainer' to 'Debian XML/SGML Group
    <debian-xml-sgml-pkgs@lists.alioth.debian.org>' and added current
    maintainer to 'Uploaders'
  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 21 Apr 2004 14:34:27 -0500

sgml-base (1.21) unstable; urgency=low

  * debian/sgml-base.prerm: updated to remove the transitional catalog from the
    super catalog also during package upgrade per current sgml-base practice

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 21 Sep 2003 16:14:18 -0500

sgml-base (1.20) unstable; urgency=low

  * Added examples
  * debian/sgml-base.p*:various cosmetic changes
  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 21 Sep 2003 16:02:18 -0500

sgml-base (1.19) unstable; urgency=low

  * install-sgmlcatalog: re-added '--quiet' option
    (closes: Bug#204891)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 11 Aug 2003 05:36:09 -0500

sgml-base (1.18) unstable; urgency=low

  * install-sgmlcatalog: marked '--install' option as deprecated
    (closes: Bug#174831)
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/copyright: updated
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 10 Aug 2003 17:43:56 -0500

sgml-base (1.17) unstable; urgency=low

  * debian/control: updated short description and long description

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 10 Aug 2002 19:00:51 -0500

sgml-base (1.16) unstable; urgency=low

  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-indep' target
  * debian/copyright: added pointer to license

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 10 Aug 2002 13:37:14 -0500

sgml-base (1.15) unstable; urgency=low

  * debian/control: removed explicit and versioned dependency on 'sed'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 26 May 2002 16:49:02 -0500

=== debian/control ===
Source: sgml-base
Section: text
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Ardo van Rangelrooij <ardo@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1)

Package: sgml-base
Section: text
Priority: optional
Architecture: all
Conflicts: sgml-data (<= 0.02), sgmltools-2 (<= 2.0.2-4)
Depends: ${perl:Depends}
Suggests: sgml-base-doc
Description: utilities to maintain SGML catalog files
 This package contains the utilities used by all other SGML packages
 to maintain the SGML catalog files in '/etc/sgml'.

## sgml-base 1.25

=== debian/changelog ===
sgml-base (1.25) unstable; urgency=low

  * debian/sgml-base.postinst: fixed transitional SGML catalog initialization
    (closes: Bug#255627)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 22 Jun 2004 20:06:53 -0500

sgml-base (1.24) unstable; urgency=low

  * debian/sgml-base.*inst: moved SGML root catalog initialization from the
    preinst to the postinst
    (closes: Bug#255472)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 21 Jun 2004 13:58:25 -0500

sgml-base (1.23) unstable; urgency=low

  * Removed support for '/usr/lib/sgml'
    - debian/sgml-base.p*: remove support for '/usr/lib/sgml/catalog'
    - debian/sgml-base.p*: moved transitional SGML catalog to /etc/sgml
    - tools/install-sgmlcatalog: updated accordingly
    - tools/install-sgmlcatalog.8: updated accordingly
  * debian/control: rewrote short and long description
  * README: updated
  * Added README.Debian
  * debian/copyright: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 20 Jun 2004 16:59:11 -0500

## sgml-base 1.26

=== tools/Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for sgml-base/tools
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
include ../MAKE/include

## ----------------------------------------------------------------------
## Package file definitions
templates	= \
		catalog.super \
		catalog.centralized \
		transitional.cat
sbins		= \
		update-catalog \
		install-sgmlcatalog
man8s		= \
		$(addsuffix .$(man8_ext),$(sbins))

## ----------------------------------------------------------------------
## targets

all:		$(man8s)

%.$(man8_ext):	%

		$(POD2MAN) --section $(man8_ext) --center $(pkg_name) ${<} ${@}


install:

		set -e; \
		$(INSTALL_DIR) $(pkg_share_dir); \
		for f in $(templates); \
		do \
			$(INSTALL_FILE) $${f} $(pkg_share_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(sbin_dir); \
		for f in $(sbins); \
		do \
			$(INSTALL_BIN) $${f} $(sbin_dir); \
		done

		set -e; \
		$(INSTALL_DIR) $(man8_dir); \
		for f in $(man8s); \
		do \
			$(INSTALL_FILE) $${f} $(man8_dir); \
		done

.PHONY:		\
		all \
		install

## ----------------------------------------------------------------------

=== debian/changelog ===
sgml-base (1.26) unstable; urgency=low

  * Removed creation of the transitional catalog in a installation
    - debian/sgml-base.postinst
    - debian/sgml-base.prerm
    - tools/install-sgmlcatalog

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 14 Aug 2004 10:03:56 -0500

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,15 @@
 Conflicts: sgml-data (<= 0.02), sgmltools-2 (<= 2.0.2-4)
 Depends: ${perl:Depends}
 Suggests: sgml-base-doc
-Description: utilities to maintain SGML catalog files
- This package contains the utilities used by all other SGML packages
- to maintain the SGML catalog files in '/etc/sgml'.
+Description: SGML infrastructure and SGML catalog file support
+ This package creates the SGML infrastructure directories and provides
+ SGML catalog file support in compliance with the current Debian SGML
+ Policy draft:
+ .
+   * infrastructure directories:
+      - /etc/sgml
+      - /usr/share/sgml/{declaration,dtd,entities,misc,stylesheet}
+      - /usr/share/local/sgml/{declaration,dtd,entities,misc,stylesheet}
+ .
+   * update-catalog(8): tool for maintaining the root SGML catalog
+     file and the package SGML catalog files in the '/etc/sgml' directory

=== debian/rules ===
--- 
+++ 
@@ -8,32 +8,40 @@
 #export DH_VERBOSE=1
 
 ## ----------------------------------------------------------------------
-## use version 3
-export DH_COMPAT=3
+TMP_DIR		= debian/tmp
 
 ## ----------------------------------------------------------------------
 ## targets
-
-build:		build-stamp
-build-stamp:
-		dh_testdir
-		touch build-stamp
 
 clean:
 		dh_testdir
 		dh_testroot
 		dh_clean
-		rm -f build-stamp
+		rm -f build-stamp install-stamp
 
-binary-indep:	build
+build:		build-stamp
+build-stamp:
+		dh_testdir
+		$(MAKE)
+		touch build-stamp
+
+install:	install-stamp
+install-stamp:	build
 		dh_testdir
 		dh_testroot
-		dh_clean
+		dh_clean -k
 		dh_installdirs
-		$(MAKE) prefix=`pwd`/debian/tmp/usr install
-		dh_movefiles
+		$(MAKE) install prefix=$(PWD)/$(TMP_DIR)/usr
+		touch install-stamp
+
+binary-indep:	build install
+		dh_testdir
+		dh_testroot
+		dh_install --sourcedir=$(TMP_DIR)
 		dh_installdocs
+		dh_installexamples
 		dh_installchangelogs
+		dh_usrlocal
 		dh_compress
 		dh_fixperms
 		dh_installdeb
@@ -46,6 +54,6 @@
 
 binary:		binary-indep binary-arch
 
-.PHONY:		build clean binary-indep binary-arch binary
+.PHONY:		clean build install binary-indep binary-arch binary
 
 ## ----------------------------------------------------------------------

## sgml-base 1.26%2Bnmu4

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Ardo van Rangelrooij <ardo@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>= 4.1)
+Build-Depends: debhelper (>= 4.1)
 
 Package: sgml-base
 Section: text
@@ -12,6 +12,7 @@
 Architecture: all
 Conflicts: sgml-data (<= 0.02), sgmltools-2 (<= 2.0.2-4)
 Depends: ${perl:Depends}
+Pre-Depends: dpkg (>= 1.16.4)
 Suggests: sgml-base-doc
 Description: SGML infrastructure and SGML catalog file support
  This package creates the SGML infrastructure directories and provides

## sgml-base 1.26%2bnmu1ubuntu1

=== debian/changelog ===
sgml-base (1.26+nmu1ubuntu1) natty; urgency=low

  * debian/rules: Package doesn't use anything from perl-modules, so use
    "dh_perl -d" to drop unnecessary "perl" dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Nov 2010 14:57:21 -0400

sgml-base (1.26+nmu1) unstable; urgency=low

  * Non-maintainer upload
  * Applied patch from Hideki Yamane adding a check whether directories exist
    before removing them on purge 
    (closes: Bug#576445)
  * Moved debhelper from Build-Depends-Indep to Build-Depends as it is used in
    the clean target, as per Policy section 7.7.

 -- Michael Banck <mbanck@debian.org>  Sat, 17 Jul 2010 16:27:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sgml-base
 Section: text
 Priority: optional
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Ardo van Rangelrooij <ardo@debian.org>
 Standards-Version: 3.6.1
 Build-Depends: debhelper (>= 4.1)
@@ -12,7 +13,6 @@
 Architecture: all
 Conflicts: sgml-data (<= 0.02), sgmltools-2 (<= 2.0.2-4)
 Depends: ${perl:Depends}
-Pre-Depends: dpkg (>= 1.16.4)
 Suggests: sgml-base-doc
 Description: SGML infrastructure and SGML catalog file support
  This package creates the SGML infrastructure directories and provides

## sgml-base 1.26+nmu1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sgml-base
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Ardo van Rangelrooij <ardo@debian.org>
 Standards-Version: 3.6.1
 Build-Depends: debhelper (>= 4.1)

## sgml-base 1.26+nmu3ubuntu1

=== debian/changelog ===
sgml-base (1.26+nmu3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use "dh_perl -d" in debian/rules to drop unnecessary "perl" dep.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 07 Jun 2012 14:41:41 -0600

sgml-base (1.26+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * "--" may not appear in comments. (Closes: #674933)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 28 May 2012 20:51:56 +0200

sgml-base (1.26+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Generate the super catalog from /etc/sgml directory contents.
    This does not solve #477751, but the upcoming debhelper changes will solve
    that bug based on this work.
  * Do not truncate the manual pages during build.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 30 Apr 2012 17:15:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sgml-base
 Section: text
 Priority: optional
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Ardo van Rangelrooij <ardo@debian.org>
 Standards-Version: 3.6.1
 Build-Depends: debhelper (>= 4.1)
@@ -11,7 +12,7 @@
 Priority: optional
 Architecture: all
 Conflicts: sgml-data (<= 0.02), sgmltools-2 (<= 2.0.2-4)
-Depends: ${perl:Depends}
+Depends: ${perl:Depends}, dpkg (>= 1.14.18)
 Suggests: sgml-base-doc
 Description: SGML infrastructure and SGML catalog file support
  This package creates the SGML infrastructure directories and provides

## sgml-base 1.26+nmu4

=== debian/changelog ===
sgml-base (1.26+nmu4) unstable; urgency=low

  * Non-maintainer upload.
  * update-catalog --update-super ignores catalogs referencing non-existent
    files. (Closes: #676717) Thanks to Jakub Wilk for contributing the parser.
  * Remove warning about rebuilding packages as it may confuse users.
  * Quieten update-catalog during trigger and postinst, to avoid warnings for
    packages in "rc" state.
  * Pre-Depend on dpkg >= 1.16.4 (Closes: #678902). Removed dependency on
    dpkg >= 1.14.18. sgml-base highlights a bug in dpkg's trigger processing. 

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 21 Jun 2012 16:09:07 +0200

## sgml-base 1.26+nmu4ubuntu1

=== debian/changelog ===
sgml-base (1.26+nmu4ubuntu1) raring; urgency=low

  * Resynchronize on Debian, remaining change:
  * debian/rules: use "dh_perl -d" to drop unnecessary "perl" dependency.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Dec 2012 15:06:01 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 Priority: optional
 Architecture: all
 Conflicts: sgml-data (<= 0.02), sgmltools-2 (<= 2.0.2-4)
-Depends: ${perl:Depends}, dpkg (>= 1.14.18)
+Depends: ${perl:Depends}
+Pre-Depends: dpkg (>= 1.16.4)
 Suggests: sgml-base-doc
 Description: SGML infrastructure and SGML catalog file support
  This package creates the SGML infrastructure directories and provides

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 		dh_compress
 		dh_fixperms
 		dh_installdeb
-		dh_perl
+		dh_perl -d
 		dh_gencontrol
 		dh_md5sums
 		dh_builddeb

## sgml-base 1.28

=== debian/changelog ===
sgml-base (1.28) unstable; urgency=medium

  * QA upload.
  * Fix missing catalog update introduced in dpkg 1.17.0. (Closes: #825002)
    + Declare trigger interest on /usr/share/sgml, /usr/share/xml and
      update-sgmlcatalog (for pending debhelper change).

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 14 Jun 2016 22:20:42 +0200

sgml-base (1.27) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. See #802381.
  * Acknowledge NMU. Thanks to Helmut Grohne <helmut@subdivi.de>.
      (Closes: #674898)
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0 format (native).
      - DH level to 9. (Closes: #817667)
  * debian/control:
      - Added the ${misc:Depends} variable to Depends field.
      - Bumped Standards-Version to 3.9.8.
      - Dropped the (now) unnecessary Conflicts field.
      - Removed the duplicate fields Section and Priority from binary.
      - Removed the ${perl:Depends} variable from Depends field. See
        more information above (debian/rules).
  * debian/copyright: updated all information.
  * debian/lintian-overrides: created to override some false positives.
  * debian/sgml-base.install: no longer needed. Removed.
  * debian/rules: used "dh_perl -d" to drop unnecessary "perl" dependency.
      Thanks to Martin Pitt <martin.pitt@ubuntu.com>. (Closes: #602125)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 16 May 2016 21:10:40 -0300

=== debian/control ===
Source: sgml-base
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9)

Package: sgml-base
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.16.4)
Suggests: sgml-base-doc
Description: SGML infrastructure and SGML catalog file support
 This package creates the SGML infrastructure directories and provides
 SGML catalog file support in compliance with the current Debian SGML
 Policy draft:
 .
   * infrastructure directories:
      - /etc/sgml
      - /usr/share/sgml/{declaration,dtd,entities,misc,stylesheet}
      - /usr/share/local/sgml/{declaration,dtd,entities,misc,stylesheet}
 .
   * update-catalog(8): tool for maintaining the root SGML catalog
     file and the package SGML catalog files in the '/etc/sgml' directory.

## sgml-base 1.29

=== debian/changelog ===
sgml-base (1.29) unstable; urgency=medium

  * QA upload.
  * Mark sgml-base m-a:foreign, because dpkg is m-a:foreign already and the
    maintainer scripts do not induce architecture dependency.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 07 Nov 2016 08:06:10 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: sgml-base
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.16.4)
 Suggests: sgml-base-doc

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/sgml-base/usr

override_dh_perl:
	dh_perl -d

## sgml-base 1.29+apricot

=== debian/changelog ===
sgml-base (1.29+apricot) unstable; urgency=medium

  * QA upload.
  * Mark sgml-base m-a:foreign, because dpkg is m-a:foreign already and the
    maintainer scripts do not induce architecture dependency.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 07 Nov 2016 08:06:10 +0100

## sgml-base 1.29.1

=== tools/Makefile ===
--- 
+++ 
@@ -22,9 +22,10 @@
 
 all:		$(man8s)
 
-%.$(man8_ext):	%
-
-		$(POD2MAN) --section $(man8_ext) --center $(pkg_name) ${<} ${@}
+# There is no POD documentation. This just truncates the existing manual pages.
+#%.$(man8_ext):	%
+#
+#		$(POD2MAN) --section $(man8_ext) --center $(pkg_name) ${<} ${@}
 
 
 install:

=== debian/changelog ===
sgml-base (1.29.1) unstable; urgency=medium

  * QA upload.
  * Clean-up QA upload with no substantive changes.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.
    + Add Vcs-* fields to indicate git packaging repo under Salsa
      Debian group.
  * debian/copyright: Use secure URI.

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Oct 2019 20:18:24 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: text
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9)
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12)
+Vcs-Git: https://salsa.debian.org/debian/sgml-base.git
+Vcs-Browser: https://salsa.debian.org/debian/sgml-base
 
 Package: sgml-base
 Architecture: all

## sgml-base 1.30

=== debian/changelog ===
sgml-base (1.30) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform trivial CI tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Apr 2020 00:24:46 -0300

## sgml-base 1.31

=== Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for sgml-base
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
include MAKE/include

## ----------------------------------------------------------------------
## source package subdirectory definitions
subdirs		= \
		tools

## ----------------------------------------------------------------------
## SGML infrastructure directory definitions
sgml_dirs	= \
		declaration \
		dtd \
		entities \
		misc \
		stylesheet

## ----------------------------------------------------------------------
## targets

all:

		set -e; \
		for d in $(subdirs); \
		do \
			$(MAKE) -C $${d} ${@}; \
		done

install:

		set -e; \
		for d in $(sgml_dirs); \
		do \
			$(INSTALL_DIR) $(sgml_dir)/$${d}; \
			$(INSTALL_DIR) $(local_sgml_dir)/$${d}; \
		done

		set -e; \
		for d in $(subdirs); \
		do \
			$(MAKE) -C $${d} ${@}; \
		done

.PHONY:		\
		all \
		install

## ----------------------------------------------------------------------

=== debian/changelog ===
sgml-base (1.31) unstable; urgency=medium

  * QA upload by the Reproducible Builds team.
  * tools/update-catalog: make sure the catalog is sorted, to support building
    reproducible rootfs with sgml-base installed, else
    /var/lib/sgml-base/supercatalog changes on every postinst run. Thanks to
    Nguyen Thi Huong <huong4.nguyenthi@toshiba.co.jp> for the patch.
    Closes: #1006646
  * Simplify preinst and also make sure it doesn't silently fail. Thanks to
    Ralf Treinen for the patch. Closes: #929706

 -- Holger Levsen <holger@debian.org>  Thu, 06 Oct 2022 20:03:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12)
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sgml-base.git
 Vcs-Browser: https://salsa.debian.org/debian/sgml-base

## sgml-base 1.31+nmu1

=== debian/changelog ===
sgml-base (1.31+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dependency satisfied since Debian 6 (Closes: #1103335)

 -- Luca Boccassi <bluca@debian.org>  Wed, 16 Apr 2025 13:54:03 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Pre-Depends: dpkg (>= 1.16.4)
 Suggests: sgml-base-doc
 Description: SGML infrastructure and SGML catalog file support
  This package creates the SGML infrastructure directories and provides

=== debian/tests/control ===
Test-Command: install-sgmlcatalog 2>&1 | grep Usage
Restrictions: needs-root

Test-Command: update-catalog | grep Huh
Restrictions: needs-root

## sgml-base 1.31+nmu1build1

=== debian/changelog ===
sgml-base (1.31+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:45:14 +0100
